# RuntimeConfigurable

Wrapper class that holds the attributes of a Task (or elements nested below that level) and takes care of configuring that element at runtime.

SMART-UP INLINE DOCS

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: 7659dacdeb5508bb3ad891e1ccbb2e0a33f54999 $
package | phing

### Methods

## __construct

    __construct( $proxy,  $elementTag)

### Arguments

#### $proxy

``

#### $elementTag

``

## Adds child elements to the wrapped element.

    addChild(\RuntimeConfigurable $child)

### Arguments

#### $child

`\RuntimeConfigurable`

## Add characters from #PCDATA areas to the wrapped element.

    addText( $data)

### Arguments

#### $data

``

## Returns the AttributeList of the wrapped element.

    getAttributes()

## Returns the child with index

    getChild( $index)

### Arguments

#### $index

``

## getElementTag

    getElementTag()

## getProxy

    getProxy()

## Configure the wrapped element and all children.

    maybeConfigure(\Project $project)

### Arguments

#### $project

`\Project`

## Set's the attributes for the wrapped element.

    setAttributes( $attributes)

### Arguments

#### $attributes

``

## setProxy

    setProxy( $proxy)

### Arguments

#### $proxy

``

### Properties

## elementTag

    elementTag :

### Type(s)

``

## children

    children :

### Type(s)

``

## wrappedObject

    wrappedObject :

### Type(s)

``

## attributes

    attributes :

### Type(s)

``

## characters

    characters :

### Type(s)

``

## proxyConfigured

    proxyConfigured :

### Type(s)

``